ゼロイチ

WordpressやWEB技術ネタ

開発

gem install rails した際にactivesupport requires Ruby versionのERRORになる場合の対処法

投稿日:

railsをインストールしようとした際、少しハマったので備忘録がてら書きます。

gem install rails –no-ri –no-rdoc

ERROR: Error installing rails:
activesupport requires Ruby version >= 2.2.2.

rubyのバージョンが古い?

とりあえずバージョン確認するよ

$ ruby -v
ruby 2.0.0p648 (2015-12-16 revision 53162) [universal.x86_64-darwin15]

はい、すいません。

Rubyのバージョンが2.2.2.以上が必要なのに2.0.0しか入っていなかったのが原因でした。

rbenvでアップデートしようとしたが、rbenv入ってなかった
そしてbrewも入れてなかったので公式サイトを参考にインストールしました。(どんだけ入ってないねんorz)
https://brew.sh/index_ja.html
コマンド
/usr/bin/ruby -e “$(curl -fsSL https://raw.githubusercontent.com/Homebrew/install/master/install)”

からの
brew install rbenv ruby-build

$ rbenv –version
rbenv 1.1.1

rbenv install –list

rbenv install -v 2.2.2
結構長い..

$ ruby -v
ruby 2.0.0p648 (2015-12-16 revision 53162) [universal.x86_64-darwin15]

あれ、変わってない..?↓を参考にbash_profileを設定してみる
rbenvでバージョンがうまく切り替わらなかった時にやったこと

$ ruby -v
ruby 2.2.2p95 (2015-04-13 revision 50295) [x86_64-darwin15]

おけ!!

PR

PR

-開発

管理人

comment

メールアドレスが公開されることはありません。 * が付いている欄は必須項目です

関連記事

「下書きをプレビューする権限がありません。」→ありますよ?【WordPress】

WordPressで記事を編集し、さてそろそろレイアウトを確認しようかな。プレビューボタンをポチッとな。 下書きをプレビューする権限がありません。 いやいや権限はありますよ!だって登録ユーザって私だけ …

CSSスプライト用の画像を簡単に作成できるCSS Sprite Generatorが便利

サイト高速表示のために使える技術は全て導入すべきです。高速化技術の中でもメジャーなのがCSSスプライトです。 でも、CSSスプライト用の画像を作成するのって大変ですよね。 間隔調整とかも大変ですが、画 …

CSSが効かないと思ったらチェックすること

コーディングしているときに、「あれ、CSSが効かねえ」って小ハマりすることありますよね。 ・CSSファイルを更新したのに、反映されない ・CSSファイルが反映されているのに新規記述が読み込まれない C …

ChromeのCookieを個別に削除する2つの方法。設定画面から or デベロッパーツールから

「あー、Cookie削除したい」 「でも全部消すのは嫌だ!」 ChromeのCookieを削除したいと思っても全て消してしまうのは困りますね。他のサイトのログイン情報は残しつつ、該当のサイトのCook …

git init した時にエラーになる時に対処法

git init した時にエラーになる時に対処法 Reinitialized existing Git repository in Gitリポジトリは既に作成されているのでinitする必要はない場合に …